%set_verify_elf_method unresolved=relaxed

Name: bioapi
Version: 1.2.2
Release: alt3

Summary: Framework for biometric-based authentication (BioAPI 1.10)
Summary(ru_RU.UTF-8): Инструментарий для аутентификации на основе биометрических данных (BioAPI 1.10)
Group: System/Configuration/Other
License: BSD
URL: http://www.qrivy.net/~michael/blua/bioapi
###: http://www.bioapi.org

Packager: Ivan Fedorov <ns@altlinux.ru>

Source0: http://www.qrivy.net/~michael/blua/bioapi/bioapi-1.2.2.tar.bz2
Source1: http://www.qrivy.net/~michael/blua/bioapi/bioapi-errors.html

Patch0: bioapi-1.2.2-gcc4.patch
Patch1: bioapi-1.2.2-gcc4.1.patch
Patch2: bioapi-1.2.2-as-needed.patch

Requires: libqt3
# Automatically added by buildreq on Wed Nov 23 2005
BuildRequires: flex fontconfig freetype2 gcc-c++ libqt3-devel libstdc++-devel xorg-x11-devel

%description
The BioAPI framework is intended to provide a high-level
generic biometric authentication model; one suited for any
form of biometric technology. It covers the basic functions
of Enrollment, Verification, and Identification, and
includes a database interface to allow a biometric service
provider (BSP) to manage the Identification population for
optimum performance. It also provides primitives that allow
the application to manage the capture of samples on a client,
and the Enrollment, Verification, and Identification on a server.

This package contain an unofficial branch of the official
implementation of the BioAPI 1.10 framework

%description -l ru_RU.UTF-8
The BioAPI Specification is intended to provide a high-level
generic biometric authentication model; one suited for any
form of biometric technology. It covers the basic functions
of Enrollment, Verification, and Identification, and
includes a database interface to allow a biometric service
provider (BSP) to manage the Identification population for
optimum performance. It also provides primitives that allow
the application to manage the capture of samples on a client,
and the Enrollment, Verification, and Identification on a server.

Этот пакет содержит неофициальную ветвь официальной реализации
инструментария BioAPI 1.10

%package -n %name-devel
Summary: BioAPI development libraries
Summary(ru_RU.UTF-8): Библиотеки для разработки на основе BioAPI
Group: System/Libraries
PreReq: %name = %version-%release

%description -n %name-devel
BioAPI framework headers

%description -n %name-devel -l ru_RU.UTF-8
Заголовочные файлы BioAPI

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1

%__cp %SOURCE1 ./

%build
%__autoreconf
%configure \
    --with-Qt-dir=%_libdir/qt3

%make_build

%install
SKIPCONFIG=true %makeinstall

pushd include
%__install -m 0644 bioapi_util.h installdefs.h \
	../imports/cdsa/v2_0/inc/cssmtype.h %buildroot%_includedir
popd
%__install -d -m 0777 %buildroot%_localstatedir/bioapi

%post
echo;echo "Module Directory Services (MDS) ...	"$(%_bindir/mds_install -s %_libdir)
for lib in bioapi100 bioapi_dummy100 pwbsp qtpwbsp; do
    echo "	Registring $lib...		"$(%_bindir/mod_install -fi %_libdir/lib$lib.so)
done
echo

%files
%doc *.htm* README
%_bindir/*
%_libdir/*
%dir %_localstatedir/bioapi

%files -n %name-devel
%_includedir/*

%changelog
* Tue Aug 08 2006 Ivan Fedorov <ns@altlinux.ru> 1.2.2-alt3
- fix building with gcc4.1 & ld --as-needed

* Thu Dec 15 2005 Yury Konovalov <yurix@altlinux.ru> 1.2.2-alt2
- Rebuild with new Xorg

* Wed Nov 23 2005 Yury Konovalov <yurix@altlinux.ru> 1.2.2-alt1
- First build

